Subject: Re: [core-packages-team 5/5] DRAFT gnu: gcc: Update gcc, gcc-toolchain to 14.

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Mon, 16 Dec 2024 22:43:53 +0100

Janneke Nieuwenhuizen writes:

Hello,

>>> So, I've just built "hello" for x86_64-linux on "core-packages-team"
>>> (yay!) mostly re-using gcc-14 patches/workarounds that I created for the
>>> Hurd.
>>
>> [..]
>>
>> I've all but reconfigured--guix system reconfigure
>
> That was apparently not true, somewhere in the process I somehow built from
> another branch.  Anyway, still making good progress.... :-/
>
> On IRC, Efraim reports that i686-linux and aarch64-linux fail to build
> hello on current core-packages-team.  That makes me reconsider whether
> this strategy
>
>> I kept the scope narrow: x86_64-linux, because it has proven to be
>> very hard to predict what's needed on other architectures.
>
> which makes a lot of sense for patches that go to "master" is a good
> strategy for core-packages-team.  Possibly it's better to use an
> unlimited scope?  Oh well.

The current core-packages-team uses the gcc and bash fixes for all
platforms and now also supports building all gcc versions from 4.8 and
up, and I've just built hello again for x86_64-linux.

I've built the rust bootstrap several times already, guess I'll just go
for a new round.  But this time we can maybeu "cheat" with packages that
are too difficult to build, and build them with another gcc version than
14?

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com